# README

This is a demo Rx-Module project that serves as a starting point for new work.

1.  Copy the files from this module to a new directory
2.  Update the `name` field in `package.json` to the desired module id (e.g. `rx_hub`)
    1.  Update the same name `app/javascript/src/App.tsx` on the line `model.setTitleBase(name)`
3.  Update `config\initializers\rx_module_engine.rb`
    1. Set `config.module_name` to the desired module tile (e.g. `Rx Hub`)
    2. Set `config.module_description` to the desired module description (e.g. `Manages data collection from machines`)
4. Update image files
    1.  Replace `public\logo.png` with the image to display at the top of webpages
    2.  Replace `public\icon.png` with the image to display in the application switcher
    3.  Replace `public\favicon.ico` with the image to display in browser tab and browser bookmark manager
5.  Update the licence server with the new module id http://omics.dyndns.biz:4747/rx-suite/hosted-projects/client-manager-rails#a-full-installation-jwt-looks-like-this-update-as-we-add-modules-and-subfeatures
6.  Update hub with a new token to allow the module http://omics.dyndns.biz:4747/rx-suite/hosted-projects/client-manager-rails#generating-a-token, http://omics.dyndns.biz:4747/rx-suite/modules/core/hub/-/blob/master/app/models/licence_info.rb#L51 
7. Update your library files
   1. Run `bundle install` then `bundle update`
   2. Run `yarn install` then `yarn upgrade`
8. Setup your module according to standard install instructions (add a `.env` and run `bundle exec rake db:migrate`)