class SendToData < ApplicationJob
  queue_as :default

  def perform(endpoint, xml)
    begin
      RxModule::Communicator.call_module_method_as_module('rx_data',
                                                          endpoint,
                                                          :put,
                                                          xml,
                                                          {
                                                            "Content-Type" => 'application/xml',
                                                            :Accept => "application/xml"
                                                          })
    rescue => e
      Rails.logger.error "Failed to put data to rx-data through DCS2Rest translator, #{e}"
    end
  end
end