class CreateDcs2restTraces < ActiveRecord::Migration[6.0]
  def change
    create_table :dcs2rest_traces do |t|
      t.text :raw_data
      t.text :generated_payload
      t.datetime :time
      t.string :targeted_endpoint
      t.text :last_error

      t.belongs_to :machine_config, foreign_key: {on_delete: :cascade}, null: false
    end
  end
end
